.m-action-widget {
  display: block;
  opacity: 0;
  transition: all 1s;

  &__action-icon-wrapper {
    padding: 0.375rem 0.6875rem;
    border-radius: 50%;
    background-color: #ffffff;
    display: block;
    margin-block-end: 0.5rem;
  }

  &__action-icon {
    display: inline-block;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    width: 1.2rem;
    height: 1.7rem;
    vertical-align: middle;

    &--wishlist {
      background-image: url("../assets/icons/heart.svg");
    }

    &--cart {
      background-image: url("../assets/icons/cart.svg");
    }

    &--view {
      background-image: url("../assets/icons/search.svg");
    }
  }
}
